#!/bin/bash
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# gen_certifEole.sh
#  
# generation du certificat pour zephir
# realise par samuel morin <samuel.morin@ac-dijon.fr>
#       
###########################################################################

# Création intéractive d'une demande PKCS#10 décorée par un SubjectAltName.
# Le format de fichier de sortie est le suivant :
#
# SubjectAltName=fw-ecole-beaune.eole.ac-dijon.fr
# --- BEGIN PKCS#10 ---
# mldjmldfgjsmldfgjsdlmjgsdm
# --- END PKCS#10 ---

REQUETEOUT=/usr/share/zephir/certs/server.pem
REQUETECONF=/usr/share/eole/certif-eole.conf

. ParseDico

mkdir -p /usr/share/zephir/certs

echo "SubjectAltName=$mon_machine.$nom_domaine_local" > $REQUETEOUT

openssl req -x509 -new -newkey rsa:1024 -days 1825 -config $REQUETECONF -out $REQUETEOUT.tmp && cat $REQUETEOUT.tmp >> $REQUETEOUT

rm $REQUETEOUT.tmp

cp /usr/share/zephir/certs/server.key /tmp/key

openssl rsa -in /tmp/key -passin pass:secret -out /usr/share/zephir/certs/server.key
cat /usr/share/zephir/certs/server.key >> /usr/share/zephir/certs/server.pem

rm -f /tmp/key
rm -f /usr/share/zephir/certs/server.key
chmod 400 /usr/share/zephir/certs/server.pem
